Refresh - Refresh Catalog Metadata (beta)
Triggers a refresh of catalog metadata from the source.
Note
This API is part of a Beta release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use.
When calling this API, callers must specify true as the value for the query parameter beta.
This API supports long running operations (LRO).
Refreshes the catalog metadata from the source Iceberg REST Catalog, synchronizing namespace and table changes.
Permissions
The caller must have read and write permissions for the mirrored catalog.
Required Delegated Scopes
Item.ReadWrite.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/mirroredCatalogs/{mirroredCatalogId}/refreshCatalogMetadata?beta={beta}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
mirrored
|
path | True |
string (uuid) |
The MirroredCatalog ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
|
beta
|
query | True |
boolean |
This required parameter must be set to |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 202 Accepted |
Request accepted. Catalog metadata refresh is in progress. Headers
|
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Refresh Catalog Metadata example
Sample request
POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/mirroredCatalogs/5b218778-e7a5-4d73-8187-f10824047715/refreshCatalogMetadata?beta=True
Sample response
Location: https://api.fabric.microsoft.com/v1/operations/8f29c846-7dc2-4b21-9c2d-0a1b5e3c6d7f
x-ms-operation-id: 8f29c846-7dc2-4b21-9c2d-0a1b5e3c6d7f
Retry-After: 30
Definitions
| Name | Description |
|---|---|
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |